package hellocucumber;


import io.cucumber.java.en.Given;
import io.cucumber.java.en.When;
import io.cucumber.java.en.Then;
import static org.junit.Assert.*;

public class CalculatorSteps {

    Calculator calculator;
    Integer result;

    @Given("^I have a calculator$")
    public void generateCalculator() {
        this.calculator = new Calculator();
    }

    @When("I add {int} and {int}")
    public void addUsingCalculator (Integer l, Integer r) {
        this.result = this.calculator.add(l, r);
    }

    @Then("the result should be {int}")
    public void checkResult(Integer res) {
        assertEquals(this.result, res);
    }




}
